> ## Documentation Index
> Fetch the complete documentation index at: https://botpress.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteConversation

> Permanently deletes a [Conversation](#schema_conversation). It cannot be undone. Also immediately deletes corresponding [Messages](#schema_message).



## OpenAPI

````yaml /runtime-openapi.json delete /v1/chat/conversations/{id}
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.82.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/chat/conversations/{id}:
    delete:
      tags:
        - Endpoints
      description: >-
        Permanently deletes a [Conversation](#schema_conversation). It cannot be
        undone. Also immediately deletes corresponding
        [Messages](#schema_message).
      operationId: deleteConversation
      parameters:
        - name: id
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/deleteConversationResponse'
        default:
          $ref: '#/components/responses/deleteConversationResponse'
components:
  responses:
    deleteConversationResponse:
      description: Returns the [Conversation](#schema_conversation) object that was deleted
      content:
        application/json:
          schema:
            type: object
            title: deleteConversationResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````